import { type ComponentChild } from 'preact';
import { UIPlugin } from '@uppy/core';
import type { State, UIPluginOptions, Uppy } from '@uppy/core';
import type { Body, Meta } from '@uppy/utils/lib/UppyFile';
export type InformerOptions = UIPluginOptions;
/**
 * Informer
 * Shows rad message bubbles
 * used like this: `uppy.info('hello world', 'info', 5000)`
 * or for errors: `uppy.info('Error uploading img.jpg', 'error', 5000)`
 *
 */
export default class Informer<M extends Meta, B extends Body> extends UIPlugin<UIPluginOptions, M, B> {
    static VERSION: any;
    constructor(uppy: Uppy<M, B>, opts?: UIPluginOptions);
    render: (state: State<M, B>) => ComponentChild;
    install(): void;
}
//# sourceMappingURL=Informer.d.ts.map